Ontology

Adopt an ontology template into a workspace

POST
/api/v1/ontology/templates/{template_id}/adopt

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Path Parameters

template_id*Template Id

Header Parameters

authorization?string|null
x-api-key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/ontology/templates/string/adopt" \  -H "Content-Type: application/json" \  -d '{    "workspace_id": 0  }'
{  "id": "string",  "key": "string",  "label": "string",  "version": 0,  "is_template": true,  "adopted_from": "string",  "status": "string",  "workspace_id": 0,  "organization_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}